# $Revision: 1.73 $, $Date: 2002/07/16 10:05:33 $
#
# Conditional builds:
# x509 - build x509 pluggin
# srp - build srp pluggin
#
Summary:	The SASL library API for the Cyrus mail system
Summary(pl):	Biblioteka Cyrus SASL
Summary(pt_BR):	Implementao da API SASL
Summary(ru):	 Cyrus SASL
Summary(uk):	̦ Cyrus SASL
Name:		cyrus-sasl
Version:	1.5.27
Release:	15
License:	distributable
Group:		Libraries
Source0:	ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%{name}-%{version}.tar.gz
Source1:	saslauthd.init
Source2:	saslauthd.sysconfig
Source3:	%{name}.pam
Patch0:		%{name}-configdir.patch
Patch1:		%{name}-des.patch
Patch2:		%{name}-mysql-ldap.patch
Patch3:		%{name}-saslauthd.patch
#Patch4:	http://www.imasy.or.jp/~ume/ipv6/cyrus-sasl-1.5.24-ipv6-20010321.diff.gz
Patch4:		%{name}-ipv6.patch
Patch5:		%{name}-ac25x.patch
Patch6:		saslauthd-man.diff
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db3-devel >= 3.1.17-8
BuildRequires:	pam-devel
BuildRequires:	openssl-devel >= 0.9.6a
BuildRequires:	libtool	>= 1.4
%{?_with_mysql:BuildRequires: mysql-devel}
%{?_with_ldap:BuildRequires: openldap-devel}
URL:		http://asg.web.cmu.edu/sasl/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/sasl

%description
This is an implemention of the SASL API, useful for adding
authentication, authorization, and security to network protocols. The
SASL protocol itself is documented in rfc2222; the API standard is a
work in progress.

%description -l pl
Pakiet cyrus-sasl zawiera implementacj biblioteki API SASL dla
systemu poczty elektronicznej Cyrusa. Biblioteka ta jest przydatna
take do dodawania uwierzytelniania, autoryzacji oraz zwikszania
bezpieczestwa protokow sieciowych. Sam protok SASL jest opisany
w RFC 2222; standaryzacja API jest w toku.

%description -l pt_BR
Esta  uma implementao da API SASL, til para acrescentar autenticao,
autorizao e seguana (criptografia) para protocolos de rede. O
protocolo SASL est documentado na RFC 2222. A API "padro" ainda est
em desenvolvimento.

%description -l ru
 cyrus-sasl   Cyrus SASL. SASL -  Simple
Authentication and Security Layer,    
  ,   .

%description -l uk
 cyrus-sasl ͦ ̦æ Cyrus SASL. SASL -  Simple
Authentication and Security Layer,    Ц
æ  ̦,   '.

%package devel
Summary:	Header files and documentation for cyrus-sasl
Summary(pl):	Pliki nagwkowe i dokumentacja dla cyrus-sasl
Summary(pt_BR):	Exemplos e arquivos para desenvolvimento com SASL
Summary(ru):	     Cyrus SASL
Summary(ru):	    ¦̦ Cyrus SASL
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This includes the header files and documentation needed to develop
applications which use SASL.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla cyrus-sasl.

%description devel -l pt_BR
Este pacote inclui os arquivos de cabealho e documentao necessrios
para desenvolver aplicativos que usem SASL.

%description devel -l ru
  ,    ,
 Cyrus SASL.

%description devel -l uk
  ¦̦, ȦΦ   , 
 Cyrus SASL.

%package static
Summary:	Static cyrus-sasl libraries
Summary(pl):	Statyczne biblioteki cyrus-sasl
Summary(ru):	  Cyrus SASL
Summary(uk):	Φ ¦̦ Cyrus SASL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static cyrus-sasl libraries.

%description static -l pl
Statyczne biblioteki cyrus-sasl.

%description static -l ru
 ,    ,
 Cyrus SASL.

%description static -l uk
Φ ¦̦, ȦΦ   ,  
Cyrus SASL.

%package cram-md5
Summary:	Cram-MD5 Cyrus SASL plugin
Summary(pl):	Wtyczka Cram-MD5 do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL CRAM-MD5
Group:		Libraries
Requires:	%{name} = %{version}

%description cram-md5
This plugin implements the SASL CRAM-MD5 mechanism. CRAM-MD5 is the
mandatory-to-implement authentication mechanism for a number of
protocols; it uses MD5 with a challenge/response system to
authenticate the user.

%description cram-md5 -l pl
Wtyczka dodajca obsug mechanizmu CRAM-MD5 do Cyrus SASL. CRAM-MD5
jest obowizkowym do zaimplementowania mechanizmem uwierzytelniania
dla wielu protokow; do uwierzytelnienia uytkownika uywa MD5 wraz
z systemem challenge/response.

%description cram-md5 -l pt_BR
Este plugin implementa o mecanismo SASL CRAM-MD5. CRAM-MD5  o
mecanismo de autenticao obrigatrio de ser implementado para vrios
protocolos: ele usa MD5 com um sistema de desafio/resposta para
autenticar o usurio.

%package digest-md5
Summary:	Digest-MD5 Cyrus SASL plugin
Summary(pl):	Wtyczka Digest-MD5 do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL DIGEST-MD5
Group:		Libraries
Requires:	%{name} = %{version}

%description digest-md5
This plugin implements the latest draft of the SASL DIGEST-MD5
mechanism. Although not yet finalized, this is likely to become the
new mandatory-to-implement authentication system in all new protocols.
It's based on the digest md5 authentication system designed for HTTP.

%description digest-md5 -l pl
Wtyczka dodajca najnowsz wersj mechanizmu DIGEST-MD5 do Cyrus SASL.
Pomimo tego, e nie jest jeszcze ukoczony, najprawdopodobniej stanie
si obowizkowym do zaimplementowania systemem uwierzytelniania we
wszystkich nowych protokoach. Bazuje na systemie uwierzytelniania
Digest-MD5 zaprojektowanym dla HTTP.

%description digest-md5 -l pt_BR
Este plugin implementa a ltima verso da especificao do
mecanismo SASL DIGEST-MD5. Embora ainda no esteja finalizado,
DIGEST-MD5 provavelmente ser o novo sistema de autenticao obrigatrio
para protocolos novos. Ele  baseado na autenticao md5 digest
desenvolvida para HTTP.

%package plain
Summary:	Plain Cyrus SASL plugin
Summary(pl):	Wtyczka plain do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL PLAIN
Group:		Libraries
Requires:	%{name} = %{version}

%description plain
This plugin implements the SASL PLAIN mechanism. Although insecure,
PLAIN is useful for transitioning to new security mechanisms, as this
is the only mechanism which gives the server a copy of the user's
password.

%description plain -l pl
Wtyczka dodajca obsug mechanizmu PLAIN do Cyrus SASL. Pomimo tego,
e nie jest bezpieczny, PLAIN jest przydatny przy przechodzeniu na
nowe mechanizmu bezpieczestwa, jako e jest to jedyny mechanizm,
ktry udostpnia serwerowi kopi hasa uytkownika.

%description plain -l pt_BR
Este plugin implementa o mecanismo SASL PLAIN. Embora inseguro,
este mecanismo  til durante transies para novos mecanismos de
segurana, pois  o nico esquema que fornece uma cpia da senha
do usurio para o servidor.

%package anonymous
Summary:	Anonymous Cyrus SASL plugin
Summary(pl):	Wtyczka anonymous do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL ANONYMOUS
Group:		Libraries
Requires:	%{name} = %{version}

%description anonymous
This plugin implements the SASL ANONYMOUS mechanism,
used for anonymous authentication.

%description anonymous -l pl
Wtyczka dodajca obsug mechanizmu ANONYMOUS do Cyrus SASL. Suy do
anonimowego uwierzytelniania.

%description anonymous -l pt_BR
Este plugin implementa o mecanismo SASL ANONYMOUS, usado
para autenticao annima.

%package login
Summary:	Unsupported Login Cyrus SASL plugin
Summary(pl):	Nie wspierana wtyczka Login do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}

%description login
Unsupported LOGIN Cyrus SASL plugin.

%description login -l pl
Wtyczka dodajca obsug nie wspieranego mechanizmu LOGIN do Cyrus
SASL.

%package srp
Summary:	SRP Cyrus SASL plugin
Summary(pl):	Wtyczka SRP do Cyrus SASL
Summary(pt_BR):	Mecanismo SASL SRP
Group:		Libraries
Requires:	%{name} = %{version}

%description srp
This plugin implements the SASL SRP mechanism, based on the
Secure Remote Password protocol. This mechanism performs mutual
authentication and can provide a security layer with replay
detection, integrity protection and/or condifentiality
protection.

%description srp -l pl
Wtyczka dodajca obsug mechanizmu SRP do Cyrus SASL. Bazuje na
protokole Secure Remote Password. Ten mechanizm dokonuje wzajemnego
uwierzytelnienia i moe dodawa warstw bezpieczestwa z wykrywaniem
powtarzania, zabezpieczeniem integralnoci i/lub poufnoci.

%description srp -l pt_BR
Este plugin implementa o mecanismo SASL SRP, baseado no protocolo SRP (Secure
Remote Password). Este mecanismo oferece autenticao mtua (do cliente e do
servidor) e pode prover uma camada de segurana com deteco de ataques de
replay, garantia de integridade e/ou confidencialidade.

%package x509
Summary:	x509 Cyrus SASL plugin
Summary(pl):	Wtyczka x509 do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}

%description x509
x509 Cyrus SASL plugin.

%description x509 -l pl
Wtyczka x509 do Cyrus SASL.

%package saslauthd
Summary:	Cyrus SASL authd
Summary(pl):	Demon authd do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}
Prereq:		/sbin/chkconfig

%description saslauthd
Cyrus SASL authd.

%description saslauthd -l pl
Demon authd do Cyrus SASL.

%package pwcheck
Summary:	Cyrus SASL pwcheck helper
Summary(pl):	Program pomocniczy pwcheck do Cyrus SASL
Group:		Libraries
Requires:	%{name} = %{version}

%description pwcheck
Cyrus SASL pwcheck helper.

%description pwcheck -l pl
Program pomocniczy pwcheck do Cyrus SASL.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
rm -f config/missing
%{__libtoolize}
aclocal -I cmulocal
autoheader
automake -a
%{__autoconf}
LDFLAGS="%{rpmldflags} -ldl"; export LDFLAGS
%configure \
	--enable-static \
	--enable-login \
	%{?_with_srp:--enable-srp} \
	%{?_with_x509:--enable-x509} \
	%{?_with_mysql: --with-mysql=%{_prefix}} \
	%{?_with_ldap: --with-ldap=%{_prefix}} \
	%{?_with_pwcheck: --with-pwcheck=/var/lib/sasl} \
	--with-saslauthd=/var/lib/sasl \
	--with-pam \
	--with-dblib=berkeley \
	--with-dbpath=/var/lib/sasl/sasl.db \
	--with-configdir=%{_sysconfdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/lib/sasl,%{_sysconfdir},/etc/{rc.d/init.d,sysconfig,pam.d}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/lib/sasl/sasl.db

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/saslauthd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/saslauthd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/cyrus

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post saslauthd
/sbin/chkconfig --add saslauthd
if [ -f /var/lock/subsys/saslauthd ]; then
	/etc/rc.d/init.d/saslauthd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/saslauthd start\" to start saslauthd."
fi

%preun saslauthd
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/saslauthd ]; then
		/etc/rc.d/init.d/saslauthd stop 1>&2
	fi
	/sbin/chkconfig --del saslauthd
fi

%files
%defattr(644,root,root,755)
%doc COPYING testing.txt NEWS TODO README doc/*.txt doc/*.html
%dir %{_sysconfdir}
%dir %{_libdir}/sasl
%dir /var/lib/sasl
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_sbindir}/sasldblistusers
%attr(755,root,root) %{_sbindir}/saslpasswd

%attr(640,root,mail) %ghost %config(noreplace) %verify(not mtime md5 size) /var/lib/sasl/sasl.db
%{_mandir}/man[18]/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_libdir}/sasl/lib*.a

%files cram-md5
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl/libcrammd5.so*

%files digest-md5
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl/libdigestmd5.so*

%files plain
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl/libplain.so*

%files anonymous
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl/libanonymous.so*

%files login
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl/liblogin.so*

%if %{?_with_srp:1}%{?!_with_srp:0}
%files srp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl/libsrp.so*
%endif

%if %{?_with_x509:1}%{?!_with_x509:0}
%files x509
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/sasl/libx509.so*
%endif

%if %{?_with_pwcheck:1}%{?!_with_pwcheck:0}
%files pwcheck
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/pwcheck
%endif

%files saslauthd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/saslauthd
%attr(754,root,root) /etc/rc.d/init.d/saslauthd
%config(noreplace) %verify(not mtime md5 size) /etc/sysconfig/saslauthd
%config(noreplace) %verify(not mtime md5 size) /etc/pam.d/cyrus

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: cyrus-sasl.spec,v $
Revision 1.73  2002/07/16 10:05:33  qboosh
- updated ac25x patch to work with autoconf 2.53
- added missing man3 pages to -devel
- release 15

Revision 1.72  2002/06/26 05:44:08  kloczek
- release 14.

Revision 1.71  2002/06/24 21:25:46  qboosh
- longer pl descriptions based on new en ones

Revision 1.70  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.69  2002/06/21 14:43:32  blues
- next translations

Revision 1.68  2002/06/21 14:39:36  blues
- translation stollen from CNV

Revision 1.67  2002/06/08 23:48:38  blues
- new doc

Revision 1.66  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.65  2002/04/25 16:09:00  arturs
fixed a small typo

Revision 1.64  2002/04/03 11:39:56  kloczek
- merge translations from KSI.

Revision 1.63  2002/04/03 10:05:48  qboosh
- security fix in mysql-ldap patch (escape values passed to SQL query)
  (used only in conditional build - doesn't affect binary packages on our ftp)
- release 13 (to build .src.rpm with fixed patch)

Revision 1.62  2002/03/20 23:48:08  kloczek
- release 12.

Revision 1.61  2002/03/14 10:50:51  migo
- don't gzip html docs

Revision 1.60  2002/03/05 14:48:36  ankry
- added date to saslauthd man page; groff requires it
- release 11

Revision 1.59  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.58  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.57  2002/02/09 11:45:54  kloczek
- release 10.

Revision 1.56  2002/02/09 11:35:53  grzegorz
- changed attr for /etc/rc.d/init.d/saslauthd from 755 to 754

Revision 1.55  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.54  2002/01/08 15:07:39  qboosh
- saslauthd: s/postun/preun/ (init.d/saslauthd must exist to stop daemon); release 9

Revision 1.53  2001/12/03 22:37:43  grzegorz
- changing %%attr(640,root,mail) for /var/lib/sasl/sasl.db for proper
  work with postfix
- rel 8
- STBR

Revision 1.52  2001/11/10 19:08:50  speedy
some changes in License field [s/LIcense/License/ or s/Distributable/distributable]

Revision 1.51  2001/11/03 09:13:05  grzegorz
- reverting last change

Revision 1.50  2001/11/01 10:00:11  grzegorz
- chmoding 644 /var/lib/sasl/sasl.db in main rpm becouse postfix must
  have permision to read this file, is this safe?

Revision 1.49  2001/10/25 08:35:52  kloczek
- release 7.

Revision 1.48  2001/09/24 11:55:10  qboosh
- saslauthd Prereq: /sbin/chkconfig

Revision 1.47  2001/08/28 10:44:44  kloczek
- release 6.

Revision 1.46  2001/08/27 15:32:50  wiget
sasl.db marked as %%ghost file

Revision 1.45  2001/08/12 19:23:42  qboosh
- ac 2.5x fix, pl translations
- again: use /var/lib, not /var/state
- changed /var/lib/sasl/sasl.db perms to 600 (see system log)
- release 5

Revision 1.44  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.42  2001/07/16 21:21:28  kloczek
- release 4: remove using some %%{__*} macro.

Revision 1.41  2001/07/13 12:27:14  grzegorz
- added Source3 (/etc/pam.d/cyrus) to sasluthd for pam auth
- more %%{__} macros

Revision 1.40  2001/06/02 17:21:59  kloczek
- release 3.

Revision 1.39  2001/06/01 22:47:56  blues
- added missing docs (there were none of them...)

Revision 1.38  2001/05/22 09:06:16  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.37  2001/05/09 00:12:59  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.36  2001/05/02 21:32:01  kloczek
- cosmetics.

Revision 1.35  2001/05/02 12:05:51  wiget
- finished saslauthd subpackage
- release 1

Revision 1.34  2001/04/26 14:52:34  wiget
saslauthd builded by default, ipv6 support;TODO init script for saslauthd

Revision 1.33  2001/04/24 18:55:46  wiget
- version 1.5.27 (beta)
- release 0.1 (test release for betatesters only)
- removed outdated external patch
- added support to mysql and ldap direct authorization
- added saslauthd and pwcheck subpackages (not builded by default)

Revision 1.32  2001/03/11 17:44:28  kloczek
- release 18,
- spec adapterized,
- merged rawhide external patch.

Revision 1.31  2000/10/23 19:04:57  kloczek
- release 7,
- merge des patch from rawhide,
- use new rpm automation.

Revision 1.30  2000/10/02 15:58:24  wiget
Release: 2

Revision 1.29  2000/10/02 15:57:35  wiget
- added conditional builds (srp and x509 pluggins)
- BuildRequires db3-devel not gdbm-devel (db3 for all :-)

Revision 1.28  2000/07/21 18:46:21  kloczek
- updated to 1.5.24.

Revision 1.27  2000/07/18 18:04:45  kloczek
- updated to 1.5.23.

Revision 1.26  2000/07/12 09:24:44  wiget
config patch back

Revision 1.25  2000/07/11 19:55:19  wiget
1.5.22

Revision 1.24  2000/06/12 17:21:12  wiget
create %%{_sysconfdir}

Revision 1.23  2000/06/12 17:14:27  wiget
typo

Revision 1.22  2000/06/12 17:10:52  wiget
added %%{_sysconfdir} to main package

Revision 1.21  2000/06/12 17:09:00  wiget
config files go to /etc/sasl

Revision 1.20  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/30 04:03:17  kloczek
- release 2,
- fixed URL.

Revision 1.17  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.16  2000/05/11 01:09:03  kloczek
- updated to 1.5.21.

Revision 1.15  2000/05/01 23:22:16  kloczek
- fixed Group in subpackages,
- cosmetics.

Revision 1.14  2000/04/27 08:21:55  wiget
- sasl.db is now %%config not %ghost.

Revision 1.13  2000/04/27 08:18:27  wiget
/var/state -> /var/lib (more)

Revision 1.12  2000/04/27 08:08:36  wiget
/var/state -> /var/lib

Revision 1.11  2000/04/27 06:35:47  wiget
1.5.20

Revision 1.10  2000/04/25 18:54:42  wiget
- separete subpackage for every plugin
- added login plugin

Revision 1.9  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.7  2000/03/28 11:10:59  arturs
typo

Revision 1.6  2000/03/27 15:11:26  arturs
- added %description -l pl

Revision 1.5  2000/01/17 09:15:24  kloczek
- typo in %files (s/toot/root/).

Revision 1.4  2000/01/17 08:41:07  kloczek
- updated to 1.5.15.

Revision 1.3  1999/10/06 03:10:58  kloczek
- added BuildRequires rules.

Revision 1.2  1999/10/06 03:09:12  kloczek
- rewrited in PLD packagin style policy.

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug 13 1999 Tim Powers <timp@redhat.com>
- first build for Powertools
